

; Application name

!define APPNAME "Sven's SVN Shell"
!define APPNAMEANDVERSION "Sven's SVN Shell"

; Main Install settings
Name "${APPNAMEANDVERSION}"
InstallDir "$PROGRAMFILES\Sven's SVN Shell"
InstallDirRegKey HKLM "Software\${APPNAME}" ""
OutFile "Sven's SVN Shell Installer.exe"

LicenseData "gpl.txt"
LicenseText "This software is redistributed under the terms of the GNU GPL:"

SetCompressor lzma

;Icon icon1.ico
;UninstallIcon uicon1.ico

DirText "Choose the folder in which to install ${APPNAMEANDVERSION}."


Function .onInit

	System::Call 'kernel32::CreateMutexA(i 0, i 0, t "SvensSVNShellInstallerMutex") i .r1 ?e'
	Pop $R0
	 
	StrCmp $R0 0 +3
	   MessageBox MB_OK|MB_ICONEXCLAMATION "The installer is already running."
	   Abort



FunctionEnd

Section "Dlls"



	; Set Section properties
	SetOverwrite on



	SetOutPath "$INSTDIR";

	; dlls
	
	File "svn_create\Debug\svn_create.dll";
	File "svn_zip\Debug\svn_zip.dll";

	RegDll "svn_create.dll";
	RegDll "svn_zip.dll";

	CreateDirectory "$SMPROGRAMS\Sven's SVN Shell"	
	CreateShortCut "$SMPROGRAMS\Sven's SVN Shell\Uninstall.lnk" "$INSTDIR\uninstall.exe"	
SectionEnd

Section -FinishSection

	WriteRegStr HKLM "Software\${APPNAME}" "" "$INSTDIR"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APPNAME}" "DisplayName" "${APPNAME}"
	WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APPNAME}" "UninstallString" "$INSTDIR\uninstall.exe"
	WriteUninstaller "$INSTDIR\uninstall.exe"

SectionEnd

;Uninstall section
Section Uninstall

	;Remove from registry...
	DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\${APPNAME}"
	DeleteRegKey HKLM "SOFTWARE\${APPNAME}"

	; Delete Shortcuts

	Delete "$SMPROGRAMS\Leviathan\Uninstall.lnk"

	SetOutPath $INSTDIR

	UnRegDll "svn_create.dll";
	UnRegDll "svn_zip.dll";


	MessageBox MB_YESNO "Ok, I've nuked the shortcuts and registry entries.$\n$\nDo you want me to delete all files in the directory '$INSTDIR'?" IDNO finnish

	; Clean up the dir
	RMDir  /r "$INSTDIR"

finnish:

SectionEnd

Function un.onInit

	MessageBox MB_YESNO|MB_DEFBUTTON2|MB_ICONQUESTION "Uninstall ${APPNAME}?" IDYES DoUninstall
		Abort
	DoUninstall:

FunctionEnd

BrandingText "Built on: ${__DATE__}"

; eof